Index: tmp/org.txm.core/res/org/txm/xml/xsl/txm-filter-teibvh-xmlw.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/txm-filter-teibvh-xmlw.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/txm-filter-teibvh-xmlw.xsl	(revision 2397)
@@ -1,85 +1,74 @@
 <?xml version="1.0"?>
-<xsl:stylesheet xmlns:edate="http://exslt.org/dates-and-times"
-  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:tei="http://www.tei-c.org/ns/1.0"
-  xmlns:xd="http://www.pnp-software.com/XSLTdoc"
-  xmlns:txm="http://textometrie.org/1.0"
-  exclude-result-prefixes="tei edate" version="2.0">
+<xsl:stylesheet
+	xmlns:edate="http://exslt.org/dates-and-times"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	xmlns:xd="http://www.pnp-software.com/XSLTdoc"
+	xmlns:txm="http://textometrie.org/1.0"
+	exclude-result-prefixes="tei edate" version="2.0">
 
-  <xsl:output method="xml" encoding="utf-8" omit-xml-declaration="no"/>
-  
-  <xd:doc type="stylesheet">
-    <xd:short>
-      Cette feuille de style prépare les textes BVH à l'import BFM
-    </xd:short>
-    <xd:detail>
-      This stylesheet is free software; you can redistribute it and/or
-      modify it under the terms of the GNU Lesser General Public
-      License as published by the Free Software Foundation; either
-      version 3 of the License, or (at your option) any later version.
-      
-      This stylesheet is distributed in the hope that it will be useful,
-      but WITHOUT ANY WARRANTY; without even the implied warranty of
-      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-      Lesser General Public License for more details.
-      
-      You should have received a copy of GNU Lesser Public License with
-      this stylesheet. If not, see http://www.gnu.org/licenses/lgpl.html
-    </xd:detail>
-    <xd:author>Alexei Lavrentiev alexei.lavrentev@ens-lyon.fr</xd:author>
-    <xd:copyright>2012, CNRS / ICAR (ICAR3 LinCoBaTO)</xd:copyright>
-  </xd:doc>
-  
-  
-  <!-- !!! Enlever &#x2028 ou &#8232; dans 1600_BeroaldRich.xml !!! -->
-  
-  <!--
-    Modifications par AL le  2012-01-25
-    g dépalacé de "deleteAll" vers "deleteTag"
-    classe de balise "name" créée
-    (geogName, placeName, persName et name)
-  -->
-  
-  <!-- 
-    Modifications par LBe le 2012-02-17
-    Transformation automatique des esperluettes dans les métadonnées
-    Suppression des balises label et heraldry
-    Signed n'est plus transformé en ab
-    opener est transformé en ab
-    L'institution et le dépôt sont récupérés pour le lieu de conservation
-  -->
-  
-  <!-- Modifications par AL le 2012-02-20
-    rolename -> roleName
-    suppression des balises surname et forename
-  -->
-  
-  <!-- Modifications par LBe le 2012-03-09
-    Automatisation du nommage des sorties
-  -->
-  
-  <!-- Modifications par LBe le 2013-03-05
-    Ajout des nouveaux descripteurs pour Presto
-  -->
-  
-  <!-- Modifications par LBe le 2014-01-10
-    
-  -->
-  
-<!-- Modifications par AL le 2014-01-13
-    - Fusion des versions BVH et BFM
-    - Détectioon des mots coupés (detextBrokenWord)
--->
-  
-  <!-- Listes des balises par type de traitement (les templates sont plus bas) -->
-  
-  <!-- balises à supprimer avec leur contenu -->
-  <xsl:template match="tei:figDesc|tei:figure|tei:fw
+	<xsl:output method="xml" encoding="utf-8"
+		omit-xml-declaration="no" />
+
+	<xd:doc type="stylesheet">
+		<xd:short>
+			Cette feuille de style prépare les textes BVH à l'import BFM
+		</xd:short>
+		<xd:detail>
+			This stylesheet is free software; you can redistribute it and/or
+			modify it under the terms of the GNU Lesser General Public
+			License as published by the Free Software Foundation; either
+			version 3 of the License, or (at your option) any later version.
+
+			This stylesheet is distributed in the hope that it will be useful,
+			but WITHOUT ANY WARRANTY; without even the implied warranty of
+			MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+			Lesser General Public License for more details.
+
+			You should have received a copy of GNU Lesser Public License with
+			this stylesheet. If not, see http://www.gnu.org/licenses/lgpl.html
+		</xd:detail>
+		<xd:author>Alexei Lavrentiev alexei.lavrentev@ens-lyon.fr</xd:author>
+		<xd:copyright>2012, CNRS / ICAR (ICAR3 LinCoBaTO)</xd:copyright>
+	</xd:doc>
+
+
+	<!-- !!! Enlever &#x2028 ou &#8232; dans 1600_BeroaldRich.xml !!! -->
+
+	<!-- Modifications par AL le 2012-01-25 g dépalacé de "deleteAll" vers "deleteTag" 
+		classe de balise "name" créée (geogName, placeName, persName et name) -->
+
+	<!-- Modifications par LBe le 2012-02-17 Transformation automatique des 
+		esperluettes dans les métadonnées Suppression des balises label et heraldry 
+		Signed n'est plus transformé en ab opener est transformé en ab L'institution 
+		et le dépôt sont récupérés pour le lieu de conservation -->
+
+	<!-- Modifications par AL le 2012-02-20 rolename -> roleName suppression 
+		des balises surname et forename -->
+
+	<!-- Modifications par LBe le 2012-03-09 Automatisation du nommage des sorties -->
+
+	<!-- Modifications par LBe le 2013-03-05 Ajout des nouveaux descripteurs 
+		pour Presto -->
+
+	<!-- Modifications par LBe le 2014-01-10 -->
+
+	<!-- Modifications par AL le 2014-01-13 - Fusion des versions BVH et BFM 
+		- Détectioon des mots coupés (detextBrokenWord) -->
+
+	<!-- Listes des balises par type de traitement (les templates sont plus 
+		bas) -->
+
+	<!-- balises à supprimer avec leur contenu -->
+	<xsl:template
+		match="tei:figDesc|tei:figure|tei:fw
     |tei:space">
-    <xsl:call-template name="deleteAll"/>
-  </xsl:template>
-  
-  <!-- balises à supprimer, contenu à conserver -->  
-  <xsl:template match="tei:castItem|tei:castGroup[ancestor::tei:castList]
+		<xsl:call-template name="deleteAll" />
+	</xsl:template>
+
+	<!-- balises à supprimer, contenu à conserver -->
+	<xsl:template
+		match="tei:castItem|tei:castGroup[ancestor::tei:castList]
     |tei:castList[ancestor::tei:p]|tei:cell|tei:cit|tei:date
     |tei:forename|tei:g|tei:head[parent::tei:list]|tei:heraldry|tei:hi|tei:item|tei:label|tei:lem
     |tei:list[ancestor::tei:p|ancestor::tei:ab]|tei:lg[child::tei:lg|ancestor::tei:sp]
@@ -87,340 +76,382 @@
     |tei:ref|tei:role|tei:roleDesc
     |tei:row|tei:salute|tei:signed[ancestor::tei:closer]|tei:speaker|tei:stage[ancestor::tei:p|ancestor::tei:ab]
     |tei:surname|tei:table[ancestor::tei:p]|tei:term|tei:unclear">
-    <xsl:call-template name="deleteTag"/>
-  </xsl:template>
-  
-  <!-- balises à transformer en notes-->
-<!--  <xsl:template match="tei:bibl[not(ancestor::tei:note)]
-    |tei:rdg[parent::tei:app and not(ancestor::tei:note)]">
-    <xsl:call-template name="makeNote"/>
-  </xsl:template>
--->  
-  <!-- balises de noms à indexer -->
-  
-  <xsl:template match="tei:name
+		<xsl:call-template name="deleteTag" />
+	</xsl:template>
+
+	<!-- balises à transformer en notes -->
+	<!-- <xsl:template match="tei:bibl[not(ancestor::tei:note)] |tei:rdg[parent::tei:app 
+		and not(ancestor::tei:note)]"> <xsl:call-template name="makeNote"/> </xsl:template> -->
+	<!-- balises de noms à indexer -->
+
+	<xsl:template
+		match="tei:name
     |tei:geogName
     |tei:persName
     |tei:placeName
     |tei:roleName">
-    <xsl:call-template name="makeName"/>
-  </xsl:template>
-  
-  <!-- à transformer en W -->
-  
-  <xsl:template match="tei:abbr[not(parent::tei:choice)]
+		<xsl:call-template name="makeName" />
+	</xsl:template>
+
+	<!-- à transformer en W -->
+
+	<xsl:template
+		match="tei:abbr[not(parent::tei:choice)]
     |tei:num[matches(.,'.')]">
-    <xsl:call-template name="makeWord"/>
-  </xsl:template>
-  
-  <!-- à transformer en AB typé -->
-  
-  <xsl:template match="tei:byline|tei:lg[not(child::tei:lg or ancestor::tei:sp)]|tei:list[not(ancestor::tei:p|ancestor::tei:ab)]
+		<xsl:call-template name="makeWord" />
+	</xsl:template>
+
+	<!-- à transformer en AB typé -->
+
+	<xsl:template
+		match="tei:byline|tei:lg[not(child::tei:lg or ancestor::tei:sp)]|tei:list[not(ancestor::tei:p|ancestor::tei:ab)]
     |tei:closer|tei:opener|tei:sp|tei:castGroup[not(ancestor::tei:castList)]|tei:castList[not(ancestor::tei:p)]
     |tei:signed[not(ancestor::tei:closer)]
     |tei:stage[not(ancestor::tei:p|ancestor::tei:ab)]
     |tei:table[not(ancestor::tei:p)]
     |tei:trailer">
-    <xsl:call-template name="makeAb"/>
-  </xsl:template>
-  
-  <!-- à transformer en DIV typé -->
-  
-  <xsl:template match="tei:set">
-    <xsl:call-template name="makeDiv"/>
-  </xsl:template>
+		<xsl:call-template name="makeAb" />
+	</xsl:template>
 
-<!-- Partie générale : on copie les éléments, les attributs, le texte, les commentaires, on supprime mes prrocessing intstructions -->
-<!-- + nommage auto des fichiers -->
-  
-  <xsl:variable name="filedir">
-    <xsl:analyze-string select="document-uri(.)" regex="^(.*)/([^/]+)$">
-      <xsl:matching-substring>
-        <xsl:value-of select="regex-group(1)"></xsl:value-of>
-      </xsl:matching-substring>
-    </xsl:analyze-string></xsl:variable>
-  
-  
-  <xsl:template match="/">
-    <xsl:variable name="compare1" select="//tei:TEI/@xml:id"/>
-    <!--<xsl:variable name="compare2" select="document('Nommage_Output_TXM.xml')//name/@id"/>-->
-    <xsl:variable name="compare2" select="$nommage//name/@id"/>
-    <xsl:variable name="name" select="document('Nommage_Output_TXM.xml')//name"/>
-      <xsl:if test="$compare1 = $compare2">
-    <xsl:result-document href="{concat($filedir,'/out/',$name[@id=$compare1], '.xml')}">
-      <xsl:apply-templates/>  
-    </xsl:result-document>
-      </xsl:if>      
-  </xsl:template>
-  
-  
-  
-  <xsl:template match="*">    
-    <xsl:if test="descendant::tei:pb and (parent::tei:text or (position() &gt; 2))">
- <!-- on déplace les pb initiaux avant la balise de l'élément le plus haut -->
-      <xsl:call-template name="raisePb"/>
-    </xsl:if>
-    <xsl:choose>
-      <xsl:when test="namespace-uri()=''">
-        <xsl:element namespace="http://www.tei-c.org/ns/1.0" name="{local-name(.)}">
-          <xsl:apply-templates select="*|@*|processing-instruction()|comment()|text()"/>
-        </xsl:element>
-      </xsl:when>
-      <xsl:otherwise>
-        <xsl:copy>
-          <xsl:apply-templates select="*|@*|processing-instruction()|comment()|text()"/>
-        </xsl:copy>
-      </xsl:otherwise>
-    </xsl:choose>  
-  </xsl:template>
+	<!-- à transformer en DIV typé -->
 
-  <xsl:template match="@*|comment()|text()|processing-instruction()">
-    <xsl:copy/>
-  </xsl:template>
-	
+	<xsl:template match="tei:set">
+		<xsl:call-template name="makeDiv" />
+	</xsl:template>
+
+	<!-- Partie générale : on copie les éléments, les attributs, le texte, les 
+		commentaires, on supprime mes prrocessing intstructions -->
+	<!-- + nommage auto des fichiers -->
+
+	<xsl:variable name="filedir">
+		<xsl:analyze-string select="document-uri(.)"
+			regex="^(.*)/([^/]+)$">
+			<xsl:matching-substring>
+				<xsl:value-of select="regex-group(1)"></xsl:value-of>
+			</xsl:matching-substring>
+		</xsl:analyze-string>
+	</xsl:variable>
+
+
+	<xsl:template match="/">
+		<xsl:variable name="compare1" select="//tei:TEI/@xml:id" />
+		<!--<xsl:variable name="compare2" select="document('Nommage_Output_TXM.xml')//name/@id"/> -->
+		<xsl:variable name="compare2" select="$nommage//name/@id" />
+		<xsl:variable name="name"
+			select="document('Nommage_Output_TXM.xml')//name" />
+		<xsl:if test="$compare1 = $compare2">
+			<xsl:result-document
+				href="{concat($filedir,'/out/',$name[@id=$compare1], '.xml')}">
+				<xsl:apply-templates />
+			</xsl:result-document>
+		</xsl:if>
+	</xsl:template>
+
+
+
+	<xsl:template match="*">
+		<xsl:if
+			test="descendant::tei:pb and (parent::tei:text or (position() &gt; 2))">
+			<!-- on déplace les pb initiaux avant la balise de l'élément le plus haut -->
+			<xsl:call-template name="raisePb" />
+		</xsl:if>
+		<xsl:choose>
+			<xsl:when test="namespace-uri()=''">
+				<xsl:element namespace="http://www.tei-c.org/ns/1.0"
+					name="{local-name(.)}">
+					<xsl:apply-templates
+						select="*|@*|processing-instruction()|comment()|text()" />
+				</xsl:element>
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:copy>
+					<xsl:apply-templates
+						select="*|@*|processing-instruction()|comment()|text()" />
+				</xsl:copy>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
+
+	<xsl:template
+		match="@*|comment()|text()|processing-instruction()">
+		<xsl:copy />
+	</xsl:template>
+
 	<xsl:template match="@instant[.='false']"></xsl:template>
 	<xsl:template match="@status[.='unremarkable']"></xsl:template>
 
-<!--  <xsl:template match="text()">
-    <xsl:analyze-string select="." regex="&amp;">
-      <xsl:matching-substring><expan xmlns="http://www.tei-c.org/ns/1.0">et</expan></xsl:matching-substring>
-      <xsl:non-matching-substring>         
-            <xsl:value-of select="."/>
-      </xsl:non-matching-substring>      
-    </xsl:analyze-string>
-  </xsl:template>
-  
+	<!-- <xsl:template match="text()"> <xsl:analyze-string select="." regex="&amp;"> 
+		<xsl:matching-substring><expan xmlns="http://www.tei-c.org/ns/1.0">et</expan></xsl:matching-substring> 
+		<xsl:non-matching-substring> <xsl:value-of select="."/> </xsl:non-matching-substring> 
+		</xsl:analyze-string> </xsl:template> <xsl:template match="processing-instruction()"/> -->
 
-  <xsl:template match="processing-instruction()"/>-->
+	<!-- On supprime teiHeader -->
 
-<!-- On supprime teiHeader -->
-  
-  <xsl:template match="tei:teiHeader">    
-<!--      <xsl:copy-of select="."/>-->    
-  </xsl:template>
+	<xsl:template match="tei:teiHeader">
+		<!-- <xsl:copy-of select="."/> -->
+	</xsl:template>
 
-<!-- On supprime les balises et tout ce qu'elles contiennent pour les éléments hors texte à ignorer lors de l'import -->
-  
-  <xsl:template name="deleteAll"/>
+	<!-- On supprime les balises et tout ce qu'elles contiennent pour les éléments 
+		hors texte à ignorer lors de l'import -->
 
-<!-- On supprime les balises non essentielles pour l'exploitation textométrique et susceptibles de poser des problèmes au tokeniseur,
-  mais on garde leur contenu qui fait partie du matériau textuel -->
-  
-  <xsl:template name="deleteTag">
-    <xsl:apply-templates/>
-  </xsl:template>
+	<xsl:template name="deleteAll" />
 
-<!-- on met en note les éléments hors texte qu'on aimerait garder pour l'édition, etc. -->
-  
-<!--  <xsl:template name="makeNote">
-    <note type="{local-name()}" xmlns="http://www.tei-c.org/ns/1.0">
-      <xsl:value-of select="."/>
-    </note>
-  </xsl:template>
--->  
-<!-- On supprime toutes les balises à l'intérieur des notes-->
-<!--  <xsl:template match="tei:note">
-    <xsl:copy>
-      <xsl:value-of select="."></xsl:value-of>
-    </xsl:copy>
-  </xsl:template>-->
+	<!-- On supprime les balises non essentielles pour l'exploitation textométrique 
+		et susceptibles de poser des problèmes au tokeniseur, mais on garde leur 
+		contenu qui fait partie du matériau textuel -->
 
-<!-- On transforme en DIV typés les balises de niveau de division textuelle (pouvant contenir des p) -->
+	<xsl:template name="deleteTag">
+		<xsl:apply-templates />
+	</xsl:template>
 
-  <xsl:template name="makeDiv">
-    <div type="{local-name()}" xmlns="http://www.tei-c.org/ns/1.0">
-      <xsl:copy-of select="@*"/>
-      <xsl:apply-templates/>
-    </div>
-  </xsl:template>  
+	<!-- on met en note les éléments hors texte qu'on aimerait garder pour l'édition, 
+		etc. -->
 
-<!-- On transforme en bloc anonyme les balises de niveau équivalent au paragraphe -->
+	<!-- <xsl:template name="makeNote"> <note type="{local-name()}" xmlns="http://www.tei-c.org/ns/1.0"> 
+		<xsl:value-of select="."/> </note> </xsl:template> -->
+	<!-- On supprime toutes les balises à l'intérieur des notes -->
+	<!-- <xsl:template match="tei:note"> <xsl:copy> <xsl:value-of select="."></xsl:value-of> 
+		</xsl:copy> </xsl:template> -->
 
-  <xsl:template name="makeAb">
-    <ab type="{local-name()}" xmlns="http://www.tei-c.org/ns/1.0">
-      <xsl:copy-of select="@*"/>
-      <xsl:apply-templates/>
-    </ab>
-  </xsl:template>
+	<!-- On transforme en DIV typés les balises de niveau de division textuelle 
+		(pouvant contenir des p) -->
 
-  <!-- on pré-tokenise les éléments équivalents à un mot -->
-  
-  <xsl:template name="makeWord">
-    <xsl:variable name="wordType">
-      <xsl:choose>
-        <xsl:when test="@type">
-          <xsl:value-of select="concat(local-name(),'-',@type)"/>
-        </xsl:when>
-        <xsl:otherwise>
-          <xsl:value-of select="local-name()"></xsl:value-of>
-        </xsl:otherwise>
-      </xsl:choose>
-    </xsl:variable>
-    <w type="{$wordType}" xmlns="http://www.tei-c.org/ns/1.0"><xsl:apply-templates/></w>
-  </xsl:template>  
+	<xsl:template name="makeDiv">
+		<div type="{local-name()}" xmlns="http://www.tei-c.org/ns/1.0">
+			<xsl:copy-of select="@*" />
+			<xsl:apply-templates />
+		</div>
+	</xsl:template>
 
-<xsl:template name="makeName">
-  <xsl:variable name="nameType">
-    <xsl:choose>
-      <xsl:when test="@type">
-        <xsl:value-of select="concat(local-name(),'-',@type)"/>
-      </xsl:when>
-      <xsl:otherwise>
-        <xsl:value-of select="local-name()"></xsl:value-of>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:variable>
-  <name type="{$nameType}" xmlns="http://www.tei-c.org/ns/1.0">
-    <xsl:apply-templates/>
-  </name>
-</xsl:template>
+	<!-- On transforme en bloc anonyme les balises de niveau équivalent au paragraphe -->
 
-<!-- on avant l'élément au début duquel ils se situent -->
+	<xsl:template name="makeAb">
+		<ab type="{local-name()}" xmlns="http://www.tei-c.org/ns/1.0">
+			<xsl:copy-of select="@*" />
+			<xsl:apply-templates />
+		</ab>
+	</xsl:template>
 
-  <xsl:template name="raisePb">
-    <xsl:if test="descendant::tei:pb">
-      <xsl:for-each select="child::*[1][descendant-or-self::tei:pb]">
-        <xsl:choose>
-          <xsl:when test="self::tei:pb"><xsl:comment>Pb remonté</xsl:comment>
-            <xsl:copy>
-            	<xsl:apply-templates select="@*"/>
-            	<xsl:if test="not(@n) and not(@facs) and following-sibling::tei:fw[1 or 2][@type='pageNum']">
-            		<xsl:attribute name="n"><xsl:value-of select="normalize-space(following-sibling::tei:fw[@type='pageNum'][1])"/></xsl:attribute>
-            	</xsl:if>
-            </xsl:copy></xsl:when>
-          <xsl:otherwise><xsl:call-template name="raisePb"></xsl:call-template></xsl:otherwise>
-        </xsl:choose>
-      </xsl:for-each>
-    </xsl:if>
-  </xsl:template>
-  
+	<!-- on pré-tokenise les éléments équivalents à un mot -->
 
-<xsl:template match="tei:pb[not(preceding-sibling::*) and not(parent::tei:text)]">
-  <xsl:comment>Pb déplacé plus haut</xsl:comment>
-</xsl:template>
+	<xsl:template name="makeWord">
+		<xsl:variable name="wordType">
+			<xsl:choose>
+				<xsl:when test="@type">
+					<xsl:value-of select="concat(local-name(),'-',@type)" />
+				</xsl:when>
+				<xsl:otherwise>
+					<xsl:value-of select="local-name()"></xsl:value-of>
+				</xsl:otherwise>
+			</xsl:choose>
+		</xsl:variable>
+		<w type="{$wordType}" xmlns="http://www.tei-c.org/ns/1.0">
+			<xsl:apply-templates />
+		</w>
+	</xsl:template>
 
-<xsl:template match="tei:pb[preceding-sibling::*]">
-	<xsl:copy>
-		<xsl:apply-templates select="@*"/>
-		<xsl:if test="not(@n) and not(@facs) and following-sibling::tei:fw[1 or 2][@type='pageNum']">
-			<xsl:attribute name="n"><xsl:value-of select="normalize-space(following-sibling::tei:fw[@type='pageNum'][1])"/></xsl:attribute>
+	<xsl:template name="makeName">
+		<xsl:variable name="nameType">
+			<xsl:choose>
+				<xsl:when test="@type">
+					<xsl:value-of select="concat(local-name(),'-',@type)" />
+				</xsl:when>
+				<xsl:otherwise>
+					<xsl:value-of select="local-name()"></xsl:value-of>
+				</xsl:otherwise>
+			</xsl:choose>
+		</xsl:variable>
+		<name type="{$nameType}" xmlns="http://www.tei-c.org/ns/1.0">
+			<xsl:apply-templates />
+		</name>
+	</xsl:template>
+
+	<!-- on avant l'élément au début duquel ils se situent -->
+
+	<xsl:template name="raisePb">
+		<xsl:if test="descendant::tei:pb">
+			<xsl:for-each
+				select="child::*[1][descendant-or-self::tei:pb]">
+				<xsl:choose>
+					<xsl:when test="self::tei:pb">
+						<xsl:comment>
+							Pb remonté
+						</xsl:comment>
+						<xsl:copy>
+							<xsl:apply-templates select="@*" />
+							<xsl:if
+								test="not(@n) and not(@facs) and following-sibling::tei:fw[1 or 2][@type='pageNum']">
+								<xsl:attribute name="n"><xsl:value-of
+									select="normalize-space(following-sibling::tei:fw[@type='pageNum'][1])" /></xsl:attribute>
+							</xsl:if>
+						</xsl:copy>
+					</xsl:when>
+					<xsl:otherwise>
+						<xsl:call-template name="raisePb"></xsl:call-template>
+					</xsl:otherwise>
+				</xsl:choose>
+			</xsl:for-each>
 		</xsl:if>
-	</xsl:copy>
-</xsl:template>
+	</xsl:template>
 
-<!-- les l sont transformés en lb -->
-  
-  <xsl:template match="tei:l">
-    <lb xmlns="http://www.tei-c.org/ns/1.0">
-      <xsl:if test="@n">
-        <xsl:attribute name="n"><xsl:value-of select="@n"/></xsl:attribute>
-      </xsl:if>
-    </lb>
-    <xsl:apply-templates/>
-  </xsl:template>
-  
 
-<!-- On met la ponctuation forte à l'extérieur de la balise foreign :
-Cet élément sera toujours à l'intérieur d'une phrase. Attention au risque
-de perdre les balises éventuelles à l'intérieur-->
-  
-  <xsl:template
-    match="tei:foreign[matches(.,'[.!?]')]">
-    <xsl:variable name="lang">
-      <xsl:choose>
-        <xsl:when test="@lang"><xsl:value-of select="@lang"/></xsl:when>
-        <xsl:when test="@xml:lang"><xsl:value-of select="@xml:lang"/></xsl:when>
-        <xsl:otherwise>xx</xsl:otherwise>
-      </xsl:choose>
-    </xsl:variable>
-    <xsl:for-each select="child::node()">
-      <xsl:choose>
-        <xsl:when test="self::text()">
-          <xsl:analyze-string select="." regex="([^.!?]*)([.?!]+)">
-            <xsl:matching-substring>
-              <foreign lang="{$lang}" xmlns="http://www.tei-c.org/ns/1.0">          
-                <xsl:analyze-string select="regex-group(1)" regex="&amp;">
-                  <xsl:matching-substring><expan xmlns="http://www.tei-c.org/ns/1.0">et</expan></xsl:matching-substring>
-                  <xsl:non-matching-substring>         
-                    <xsl:value-of select="."/>
-                  </xsl:non-matching-substring>      
-                </xsl:analyze-string>
-              </foreign>
-              <xsl:value-of select="regex-group(2)"/>
-              <xsl:text> </xsl:text>
-            </xsl:matching-substring>
-          </xsl:analyze-string>          
-        </xsl:when>
-        <xsl:when test="self::*[not(descendant::text())]">
-          <xsl:apply-templates/>
-        </xsl:when>
-        <xsl:otherwise>
-          <foreign lang="{$lang}" xmlns="http://www.tei-c.org/ns/1.0">          
-            <xsl:apply-templates select="."/>          
-          </foreign>
-        </xsl:otherwise>
-      </xsl:choose>
-    </xsl:for-each>
-  </xsl:template>
-  
-  <!-- Injection des métadonnées -->
-  
-  <!-- copie de la template créée pour le header BVH -->
-  
-  <xsl:template match="tei:text">
-    <xsl:variable name="auteur">
-      <xsl:choose>
-        <xsl:when test="//tei:monogr/tei:author[1]/tei:persName/tei:forename">
-          <xsl:value-of select="//tei:monogr/tei:author[1]/tei:persName/tei:forename"/>&#160;<xsl:value-of select="//tei:monogr/tei:author[1]/tei:persName/tei:surname"/>
-        </xsl:when>
-        <xsl:when test="//tei:monogr/tei:author[1]/tei:persName">
-          <xsl:value-of select="//tei:monogr/tei:author[1]/tei:persName"/>
-        </xsl:when>
-        <xsl:when test="//tei:monogr/tei:author">
-          <xsl:value-of select="//tei:monogr/tei:author"/>
-        </xsl:when>
-        <xsl:otherwise>anonyme</xsl:otherwise>
-      </xsl:choose>      
-    </xsl:variable>
-    <xsl:variable name="titre">
-      <xsl:value-of select="translate(//tei:monogr/tei:title[@type='titre_court'],'&amp;', 'et')"/>
-    </xsl:variable>    
-    
-        <text xmlns="http://www.tei-c.org/ns/1.0">
-          <!-- id -->
-             <xsl:variable name="compare1" select="//tei:TEI/@xml:id"/>
-             <xsl:variable name="compare2" select="document('Nommage_Output_TXM.xml')//name/@id"/>
-             <xsl:variable name="name" select="document('Nommage_Output_TXM.xml')//name"/>
-      <xsl:if test="$compare1 = $compare2">        
-          <xsl:attribute name="id">             
-            <xsl:value-of select="$name[@id=$compare1]"/>
+	<xsl:template
+		match="tei:pb[not(preceding-sibling::*) and not(parent::tei:text)]">
+		<xsl:comment>
+			Pb déplacé plus haut
+		</xsl:comment>
+	</xsl:template>
+
+	<xsl:template match="tei:pb[preceding-sibling::*]">
+		<xsl:copy>
+			<xsl:apply-templates select="@*" />
+			<xsl:if
+				test="not(@n) and not(@facs) and following-sibling::tei:fw[1 or 2][@type='pageNum']">
+				<xsl:attribute name="n"><xsl:value-of
+					select="normalize-space(following-sibling::tei:fw[@type='pageNum'][1])" /></xsl:attribute>
+			</xsl:if>
+		</xsl:copy>
+	</xsl:template>
+
+	<!-- les l sont transformés en lb -->
+
+	<xsl:template match="tei:l">
+		<lb xmlns="http://www.tei-c.org/ns/1.0">
+			<xsl:if test="@n">
+				<xsl:attribute name="n"><xsl:value-of
+					select="@n" /></xsl:attribute>
+			</xsl:if>
+		</lb>
+		<xsl:apply-templates />
+	</xsl:template>
+
+
+	<!-- On met la ponctuation forte à l'extérieur de la balise foreign : Cet 
+		élément sera toujours à l'intérieur d'une phrase. Attention au risque de 
+		perdre les balises éventuelles à l'intérieur -->
+
+	<xsl:template match="tei:foreign[matches(.,'[.!?]')]">
+		<xsl:variable name="lang">
+			<xsl:choose>
+				<xsl:when test="@lang">
+					<xsl:value-of select="@lang" />
+				</xsl:when>
+				<xsl:when test="@xml:lang">
+					<xsl:value-of select="@xml:lang" />
+				</xsl:when>
+				<xsl:otherwise>
+					xx
+				</xsl:otherwise>
+			</xsl:choose>
+		</xsl:variable>
+		<xsl:for-each select="child::node()">
+			<xsl:choose>
+				<xsl:when test="self::text()">
+					<xsl:analyze-string select="."
+						regex="([^.!?]*)([.?!]+)">
+						<xsl:matching-substring>
+							<foreign lang="{$lang}"
+								xmlns="http://www.tei-c.org/ns/1.0">
+								<xsl:analyze-string select="regex-group(1)"
+									regex="&amp;">
+									<xsl:matching-substring>
+										<expan xmlns="http://www.tei-c.org/ns/1.0">et</expan>
+									</xsl:matching-substring>
+									<xsl:non-matching-substring>
+										<xsl:value-of select="." />
+									</xsl:non-matching-substring>
+								</xsl:analyze-string>
+							</foreign>
+							<xsl:value-of select="regex-group(2)" />
+							<xsl:text> </xsl:text>
+						</xsl:matching-substring>
+					</xsl:analyze-string>
+				</xsl:when>
+				<xsl:when test="self::*[not(descendant::text())]">
+					<xsl:apply-templates />
+				</xsl:when>
+				<xsl:otherwise>
+					<foreign lang="{$lang}" xmlns="http://www.tei-c.org/ns/1.0">
+						<xsl:apply-templates select="." />
+					</foreign>
+				</xsl:otherwise>
+			</xsl:choose>
+		</xsl:for-each>
+	</xsl:template>
+
+	<!-- Injection des métadonnées -->
+
+	<!-- copie de la template créée pour le header BVH -->
+
+	<xsl:template match="tei:text">
+		<xsl:variable name="auteur">
+			<xsl:choose>
+				<xsl:when
+					test="//tei:monogr/tei:author[1]/tei:persName/tei:forename">
+					<xsl:value-of
+						select="//tei:monogr/tei:author[1]/tei:persName/tei:forename" />
+					&#160;
+					<xsl:value-of
+						select="//tei:monogr/tei:author[1]/tei:persName/tei:surname" />
+				</xsl:when>
+				<xsl:when test="//tei:monogr/tei:author[1]/tei:persName">
+					<xsl:value-of
+						select="//tei:monogr/tei:author[1]/tei:persName" />
+				</xsl:when>
+				<xsl:when test="//tei:monogr/tei:author">
+					<xsl:value-of select="//tei:monogr/tei:author" />
+				</xsl:when>
+				<xsl:otherwise>
+					anonyme
+				</xsl:otherwise>
+			</xsl:choose>
+		</xsl:variable>
+		<xsl:variable name="titre">
+			<xsl:value-of
+				select="translate(//tei:monogr/tei:title[@type='titre_court'],'&amp;', 'et')" />
+		</xsl:variable>
+
+		<text xmlns="http://www.tei-c.org/ns/1.0">
+			<!-- id -->
+			<xsl:variable name="compare1" select="//tei:TEI/@xml:id" />
+			<xsl:variable name="compare2"
+				select="document('Nommage_Output_TXM.xml')//name/@id" />
+			<xsl:variable name="name"
+				select="document('Nommage_Output_TXM.xml')//name" />
+			<xsl:if test="$compare1 = $compare2">
+				<xsl:attribute name="id">             
+            <xsl:value-of select="$name[@id=$compare1]" />
           </xsl:attribute>
-      </xsl:if>
-          <!-- sigle -->
-             <xsl:variable name="compare1" select="//tei:TEI/@xml:id"/>
-             <xsl:variable name="compare2" select="document('Nommage_Output_TXM.xml')//name/@id"/>
-             <xsl:variable name="name" select="document('Nommage_Output_TXM.xml')//name"/>
-      <xsl:if test="$compare1 = $compare2">        
-          <xsl:attribute name="nom">             
-            <xsl:value-of select="$name[@id=$compare1]"/>
+			</xsl:if>
+			<!-- sigle -->
+			<xsl:variable name="compare1" select="//tei:TEI/@xml:id" />
+			<xsl:variable name="compare2"
+				select="document('Nommage_Output_TXM.xml')//name/@id" />
+			<xsl:variable name="name"
+				select="document('Nommage_Output_TXM.xml')//name" />
+			<xsl:if test="$compare1 = $compare2">
+				<xsl:attribute name="nom">             
+            <xsl:value-of select="$name[@id=$compare1]" />
           </xsl:attribute>
-      </xsl:if>
-          <!-- auteur -->
-            <xsl:attribute name="auteur">
-              <xsl:value-of select="$auteur"/>
+			</xsl:if>
+			<!-- auteur -->
+			<xsl:attribute name="auteur">
+              <xsl:value-of select="$auteur" />
             </xsl:attribute>
-          <!-- titre -->
-            <xsl:attribute name="titre">
-                <xsl:value-of select="$titre"/>
+			<!-- titre -->
+			<xsl:attribute name="titre">
+                <xsl:value-of select="$titre" />
             </xsl:attribute>
-          <!-- date de composition -->
-          <xsl:attribute name="date">
-            <xsl:value-of select="//tei:monogr//tei:imprint/tei:date"/>
+			<!-- date de composition -->
+			<xsl:attribute name="date">
+            <xsl:value-of
+				select="//tei:monogr//tei:imprint/tei:date" />
           </xsl:attribute>
-          <!-- forme -->
-            <xsl:attribute name="forme">
+			<!-- forme -->
+			<xsl:attribute name="forme">
                 <xsl:choose>
-                    <xsl:when test="//tei:TEI[@xml:id='B360446201_B343_1_tei' 
+                    <xsl:when
+				test="//tei:TEI[@xml:id='B360446201_B343_1_tei' 
                       or @xml:id='B360446201_B343_2_tei'
                       or @xml:id='B360446201_THIA63_1_tei.xml'
                       or @xml:id='B372615206_1263_tei'
